% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Class-Pop.R
\docType{class}
\name{RawPop-class}
\alias{RawPop-class}
\alias{[,RawPop-method}
\alias{c,RawPop-method}
\title{Raw Population}
\usage{
\S4method{[}{RawPop}(x, i)

\S4method{c}{RawPop}(x, ...)
}
\arguments{
\item{x}{a 'RawPop'}

\item{i}{index of individuals}

\item{...}{additional 'RawPop' objects}
}
\description{
The raw population class contains only genotype data.
}
\section{Methods (by generic)}{
\itemize{
\item \code{[}: Extract RawPop by index

\item \code{c}: Combine multiple RawPops
}}

\section{Slots}{

\describe{
\item{\code{nInd}}{number of individuals}

\item{\code{nChr}}{number of chromosomes}

\item{\code{ploidy}}{level of ploidy}

\item{\code{nLoci}}{number of loci per chromosome}

\item{\code{geno}}{"matrix" containing chromosome genotypes. The "matrix" 
has dimensions nChr by 1 and each element is a three dimensional
array of raw values. The array dimensions are nLoci by ploidy by nInd.}
}}

