% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Class-SimParam.R
\name{SimParam_addTraitAE}
\alias{SimParam_addTraitAE}
\title{Add additive and epistasis traits}
\arguments{
\item{nQtlPerChr}{number of QTLs per chromosome. Can be a single value or nChr values.}

\item{mean}{a vector of desired mean genetic values for one or more traits}

\item{var}{a vector of desired genetic variances for one or more traits}

\item{relAA}{the relative variance of additive-by-additive effects compared 
to the additive effects}

\item{corA}{a matrix of correlations between additive effects}

\item{corAA}{a matrix of correlations between additive-by-additive effects}

\item{useVarA}{tune according to additive genetic variance if true. If 
FALSE, tuning is performed according to total genetic variance.}

\item{gamma}{should a gamma distribution be used instead of normal}

\item{shape}{the shape parameter for the gamma distribution}

\item{force}{should the check for a running simulation be 
ignored. Only set to TRUE if you know what you are doing.}
}
\description{
Randomly assigns eligble QTLs for one or more additive and epistasis 
traits. If simulating more than one trait, all traits will be pleiotrophic 
with correlated additive effects.
}
\section{Usage}{
 SP$addTraitAA(nQtlPerChr, mean = 0, var = 1, relAA = 0, corA = NULL, 
corAA = NULL, gamma = FALSE, shape = 1, force = FALSE)
}

\examples{
#Create founder haplotypes
founderPop = quickHaplo(nInd=10, nChr=1, segSites=10)

#Set simulation parameters
SP = SimParam$new(founderPop)
SP$addTraitAE(10)

}
